# flatMatrix

fun < T > flatMatrix (block: RowBuilder < T >.() -> Unit ): Matrix < T >(source)

Creates a single-row matrix using a DSL-style builder.

#### Return

A Matrix containing a single row

#### Parameters

block

A builder lambda to define the row elements

#### Type Parameters

T

The type of elements in the matrix

fun < T > flatMatrix (vararg elements: T ): Matrix < T >(source)

Creates a single-row matrix from the provided elements.

#### Return

A Matrix containing a single row with the specified elements

#### Parameters

elements

The elements to include in the single row

#### Type Parameters

T

The type of elements in the matrix